Skip to main content
GET
/
talent-training
/
api
/
v1
/
realized-trainings
List realized-trainings
curl --request GET \
  --url https://{host}/talent-training/api/v1/realized-trainings \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/talent-training/api/v1/realized-trainings"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/talent-training/api/v1/realized-trainings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "$ref": "#/components/examples/v1.get.realized-trainings"
}
{
  "Status": 401,
  "Message": "Unauthorized"
}
{
  "Status": 401,
  "Message": "Unauthorized"
}
{
  "Status": 401,
  "Message": "Unauthorized"
}
This endpoint is deprecated in favor of a newer version.

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

ownerId
integer<int32>

Only retrieve realized-trainings that involve a given employee ID.

Required range: x >= 1
sessionId
integer<int32>

Only retrieve realized-trainings related to the given session ID.

Required range: x >= 1
hasAttended
boolean

Return the realized-trainings the owner actually attended (true) or those the owner was absent (false).

sessionEndOnAfter
string<date>

Returns the realized-trainings that have a sessionEndDate after (non inclusive) this date

sort
enum<string>[]

Sort items by one of their property. "+" == "" => ascending "prop" value "-" => descending "prop" value Syntax is:

<sort>                  ::= '-|+'? <property> ( ',' <property> )*
<property>              ::= <strictString> ( '.' <strictString> )*
<strictString>          ::= ( <char> | <digit> | '_' | '-' )+            
Available options:
id,
-id,
createdAt,
-createdAt
Example:
["-id"]
fields.root
enum<string>[]

Include the total number of items across all pages, as well as pointers to the previous and next pages.

Available options:
prev,
next,
count
page

Page to retrieve. Either the page index or the page cursor .

Required range: x >= 0
limit
integer
default:20

Pagination: number of items per page.

Required range: 0 <= x <= 100

Response

OK

count
integer<int32> | null

Total number of items across all pages. You need to include ?fields.root=count to your request to retrieve this.

Required range: x >= 0
prev
string | null

Cursor to the previous page. You need to include ?fields.root=prev in order to retrieve this.

next
string | null

Cursor to the next page. You need to include ?fields.root=next in order to retrieve this.

items
The realized-training resource · object[]